package java.awt.image;

import java.awt.Rectangle;
import java.util.Vector;

public interface RenderedImage
{
    public abstract Vector<RenderedImage> getSources();
    
    public abstract Object getProperty(String p0);
    
    public abstract String[] getPropertyNames();
    
    public abstract ColorModel getColorModel();
    
    public abstract SampleModel getSampleModel();
    
    public abstract int getWidth();
    
    public abstract int getHeight();
    
    public abstract int getMinX();
    
    public abstract int getMinY();
    
    public abstract int getNumXTiles();
    
    public abstract int getNumYTiles();
    
    public abstract int getMinTileX();
    
    public abstract int getMinTileY();
    
    public abstract int getTileWidth();
    
    public abstract int getTileHeight();
    
    public abstract int getTileGridXOffset();
    
    public abstract int getTileGridYOffset();
    
    public abstract Raster getTile(int p0, int p1);
    
    public abstract Raster getData();
    
    public abstract Raster getData(Rectangle p0);
    
    public abstract WritableRaster copyData(WritableRaster p0);
}
